test $# -ge 1 || { echo "build-borrow: usage: build-borrow file ..." 1>&2; exit 100; }
barf() { echo "build-borrow: fatal: $1" 1>&2; exit 100; }

test -d src || barf "no src directory"
cd src

if test -r conf-borrow
then
  srcdir=`sed -e '/^$/q' <conf-borrow`
else
  srcdir=`sed -e '/^$/q' <HOME/conf/borrow`
fi
test "X$srcdir" = "X" && barf "empty borrow path"

doit() {
  for j in $srcdir
  do
    if test -r $j/$1
    then
      cp $j/$1 $1.tmp || {
        rm -f $1.tmp
        barf "unable to borrow $j/$1"
      }
      mv $1.tmp $1 || barf "unable to borrow $j/$1"
      return 0
    fi
  done
  barf "cannot find $1"
}

####

for i in $@
do
  doit $i
done
