test $# -ge 1 || {
  echo "build-diff: usage: build-diff file ..." 1>&2
  exit 100
}
barf() { echo "build-diff: fatal: $1" 1>&2; exit 111; }
shout() { echo "build-diff: warning: $1" 1>&2; }

test -d src || barf 'no src directory'
cd src

if test -r conf-borrow
then
  srcdir=`sed -e '/^$/q' <conf-borrow`
else
  srcdir=`sed -e '/^$/q' <HOME/conf/borrow`
fi
test "X$srcdir" = "X" && barf "empty borrow path"

cmd=diff
while test $# -gt 0
do
  case "$1" in
    --)
        cmd="$cmd $1"
        shift
        break
        ;;
    -*)
        cmd="$cmd $1"
        shift
        ;;
     *)
       break
       ;;
  esac
done

doit() {
  for j in $srcdir
  do
    test -r $j/$i && {
      echo $cmd $i $j/$i
      $cmd $i $j/$i
      return 0
    }
  done
  shout "cannot find $i"
}

for i in $@
do
  doit $i
done
exit 0
