usage() {
  echo "build-diffborrow: usage: build-diffborrow file ..." 1>&2
  exit 100
}
barf() { echo "build-diffborrow: fatal: $1" 1>&2; exit 111; }
shout() { echo "build-diffborrow: warning: $1" 1>&2; }

if test $# -eq 0
then
  usage
fi

test -d src || barf 'no src directory'
cd src

if test -r conf-borrow
then
  srcdir=`sed -e '/^$/q' <conf-borrow`
else
  srcdir=`sed -e '/^$/q' <HOME/conf/borrow`
fi
test "X$srcdir" = "X" && barf "empty borrow path"

cmd=diff
while test $# -gt 0
do
  case $1 in
    --)
        cmd="$cmd $1"
        shift
        break
        ;;
    -*)
        cmd="$cmd $1"
        shift
        ;;
     *)
       break
       ;;
  esac
done

if test $# -eq 0
then
  usage
fi

doborrow() {
  echo ""
  printf "%s" "borrow $2 [Ny]: "
  read ans
  test "$ans" = "y" && {
    cp $2 $1.tmp || {
      rm -f $1.tmp
      barf "unable to borrow $2"
    }
    mv $1.tmp $1 || barf "unable to borrow $2"
    echo "borrowed $2"
    return 0
  }
}

doit() {
  for j in $srcdir
  do
    test -r $j/$i && {
      echo $cmd $i $j/$i
      $cmd $i $j/$i
      test $? -eq 1 && doborrow $i $j/$i
      return 0
    }
  done
  shout "cannot find $i"
}

for i in $@
do
  doit $i
done
exit 0
