#include "buffer.h"
#include "exit.h"
#include "str.h"
#include "scan.h"
#include "getln.h"
#include "str.h"
#include "strerr.h"
#include "stralloc.h"
#include "byte.h"

#define FATAL "build-makefile: fatal: "

unsigned int col;
unsigned int limit = 72;
stralloc line = {0};
int match;

void puts(const char *s) {
  buffer_puts(buffer_1,s);
}

void put(const char *s,int i) {
  buffer_put(buffer_1,s,i);
}

void putflush(const char *s,int i) {
  buffer_putflush(buffer_1,s,i);
}

void die_read() {
  strerr_die2sys(111,FATAL,"cannot read input: ");
}

void die_nomem() {
  strerr_die2x(111,FATAL,"out of memory");
}

int main() {
  const char *prefix;
  const char *s;
  int l;

  col = 0;
  prefix = "";
  for (;;) {
    if (getln(buffer_0,&line,&match,'\n') == -1) die_read();

    if (!line.len) {
      putflush("\n",1);
      _exit(0);
    }

    if (match) --line.len;

    if (!line.len) {
      put("\n\n",2);
      col = 0;
      continue;
    }

    s = line.s;
    l = line.len;
    if (s[0] == '\t') {
      put("\n",1);
      prefix = "\t";
      col = 0;
    }
    else
      prefix = "";

    for (;;) {
      int i;

      i = byte_chr(s,l,' ');
      if (col) {
	if (col + i > limit) {
	  put(" \\\n",3);
	  puts(prefix);
	  col = str_len(prefix);
	}
	else {
	  put(" ",1);
	  ++col;
	}
      }
      put(s,i);
      col += i;
      if (i >= l) break;
      s += i + 1; l -= i + 1;
    }
  }
}

