usage() {
  echo "build-nosuchtarget: usage: build-nosuchtarget [ -bB- ] target" >&2
  exit 100;
}

build_borrow=1
while test $# -gt 0
do
  case "$1" in
    -b) build_borrow=1; shift ;;
    -B) build_borrow=0; shift ;;
    --) shift; break ;;
    -*) usage ;;
     *) break ;;
  esac
done

if test $# -eq 0
then
  exit 111
fi
ext=$2
target=$1$ext
if test $build_borrow -eq 1
then
  if HOME/command/build-borrow $target 2>/dev/null
  then
    rm -f $target
    ln -s src/$target $target && exit 0
    exit 111
  fi
fi
if test -r $target.do
then
  exit 111
fi
if test $build_borrow -eq 1
then
  if HOME/command/build-borrow $target.do 2>/dev/null
  then
    rm -f $target.do
    ln -s src/$target.do $target.do && exit 99
    exit 111
  fi
fi
if test -r src/default$ext.do
then
  if test "default$ext.do" != "default.do"
  then
    exit 111
  else
    if test -r conf-control
    then
      for f in `sed -e '/^$/q' <conf-control`
      do
	test -r $target$f && exit 111
	if test $build_borrow -eq 1
	then
	  if HOME/command/build-borrow $target$f 2>/dev/null
	  then
	    rm -f $target$f
	    ln -s src/$target$f $target$f && exit 99
	    exit 111
	  fi
	fi
      done
    else
      for f in `sed -e '/^$/q' <HOME/conf/control`
      do
	test -r $target$f && exit 111
	if test $build_borrow -eq 1
	then
	  if HOME/command/build-borrow $target$f 2>/dev/null
	  then
	    rm -f $target$f
	    ln -s src/$target$f $target$f && exit 99
	    exit 111
	  fi
	fi
      done
    fi
  fi
  exit 111
fi
if test $build_borrow -eq 1
then
  if HOME/command/build-borrow default$ext.do 2>/dev/null
  then
    rm -f default$ext.do
    ln -s src/default$ext.do default$ext.do && exit 99
    exit 111
  fi
fi
test -r $target && exit 100
exit 111
