umask 022
barf() { echo "build-project: fatal: $1" >&2; exit 111; }
usage() {
  echo "build-project: usage: build-project [ -t type ] dir ..." 1>&2
  exit 100
}
test $# -gt 0 || usage
type=default
while test $# -gt 0
do
  case $1 in
    -t)
        type=$2
        shift
        shift
        ;;
     --)
	shift
	break
	;;
     -*)
       usage
       ;;
     *)
       break
       ;;
  esac
done
if test -d HOME/conf/package/$type
then
  :
else
  barf "unknown type: $type"
fi
for dir in $@
do
  if test -d $dir
  then
    echo "build-project: $dir already exists" >&2
    continue
  fi
  mkdir -p $dir $dir/src
  cp -r HOME/conf/package/$type $dir/package
done
exit 0
