#include <sys/time.h>
#include <sys/stat.h>
#include "strerr.h"
#include "error.h"
#include "exit.h"

#define FATAL "build-update: fatal: "

int main(int argn,char **argv) {
  char *target;
  struct stat st;
  time_t sec;

  target = *++argv;
  if (!target)
    strerr_die1x(100,"build-update: usage: build-update target dep ...");

  if (stat(target,&st) == -1) {
    if (errno == error_noent) _exit(0);
    strerr_die4sys(111,FATAL,"unable to stat file: ",target,": ");
  }
  sec = st.st_mtime;

  while (*++argv) {
    if (stat(*argv,&st) == -1)
      strerr_die4sys(111,FATAL,"unable to stat file: ",*argv,": ");
    if (sec < st.st_mtime) _exit(0);
 }

  _exit(1);
}

